POSTaggerFineGrainedReportListener (Apache OpenNLP :: Core :: CLI 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.cmdline.postag, class: POSTaggerFineGrainedReportListener

Package opennlp.tools.cmdline.postag

# Class POSTaggerFineGrainedReportListener

java.lang.Object
opennlp.tools.cmdline.FineGrainedReportListener
opennlp.tools.cmdline.postag.POSTaggerFineGrainedReportListener

All Implemented Interfaces:
  `opennlp.tools.postag.POSTaggerEvaluationMonitor`, `opennlp.tools.util.eval.EvaluationMonitor<opennlp.tools.postag.POSSample>`

public class POSTaggerFineGrainedReportListener extends opennlp.tools.cmdline.FineGrainedReportListener implements opennlp.tools.postag.POSTaggerEvaluationMonitor
Generates a detailed report for the POS Tagger.

It is possible to use it from an API and access the statistics using the provided getters

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class opennlp.tools.cmdline.FineGrainedReportListener

  `opennlp.tools.cmdline.FineGrainedReportListener.ConfusionMatrixLine, opennlp.tools.cmdline.FineGrainedReportListener.Counter, opennlp.tools.cmdline.FineGrainedReportListener.GroupedLabelComparator, opennlp.tools.cmdline.FineGrainedReportListener.GroupedMatrixLabelComparator, opennlp.tools.cmdline.FineGrainedReportListener.MatrixLabelComparator, opennlp.tools.cmdline.FineGrainedReportListener.SimpleLabelComparator, opennlp.tools.cmdline.FineGrainedReportListener.Stats`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `POSTaggerFineGrainedReportListener()`
  Creates a listener that will print to the configured `logger`.
  `POSTaggerFineGrainedReportListener(OutputStream outputStream)`
  Creates a listener that prints to a given `OutputStream`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `correctlyClassified(opennlp.tools.postag.POSSample reference, opennlp.tools.postag.POSSample prediction)`
  `void`
  `misclassified(opennlp.tools.postag.POSSample reference, opennlp.tools.postag.POSSample prediction)`
  `void`
  `writeReport()`

  ### Methods inherited from class opennlp.tools.cmdline.FineGrainedReportListener

  `getLabelComparator, getMatrixLabelComparator`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### POSTaggerFineGrainedReportListener

    public POSTaggerFineGrainedReportListener()
    Creates a listener that will print to the configured `logger`.

  - ### POSTaggerFineGrainedReportListener

    public POSTaggerFineGrainedReportListener(OutputStream outputStream)
    Creates a listener that prints to a given `OutputStream`.

- ## Method Details

  - ### misclassified

    public void misclassified(opennlp.tools.postag.POSSample reference, opennlp.tools.postag.POSSample prediction)
    Specified by:
      `misclassified` in interface `opennlp.tools.util.eval.EvaluationMonitor<opennlp.tools.postag.POSSample>`

  - ### correctlyClassified

    public void correctlyClassified(opennlp.tools.postag.POSSample reference, opennlp.tools.postag.POSSample prediction)
    Specified by:
      `correctlyClassified` in interface `opennlp.tools.util.eval.EvaluationMonitor<opennlp.tools.postag.POSSample>`

  - ### writeReport

    public void writeReport()
    Specified by:
      `writeReport` in class `opennlp.tools.cmdline.FineGrainedReportListener`